class Url {
  static final Url _instance = Url();
  static Url get instance => _instance;

  String host() {
    // // return '192.168.10.221:3003';
    // return 'agusandelnorte.gov.ph';
    // return "192.168.10.219:3000";
    // return "devweb.agusandelnorte.gov.ph";
    return 'devapi.agusandelnorte.gov.ph:3004';
  }

  String authentication() {
    return '/api/account/auth/login/';
  }

  String profileInformation(){
    return 'api/jobnet_app/profile/pds/';
  }

  String latestApk(){
    return "/api/system_app/apk_version/latest";
  }

////ELIGIBILITIES PATHS
String eligibilities(){
  return "/api/jobnet_app/eligibilities/";
}

String getEligibilities(){
  return "/api/jobnet_app/profile/pds/eligibility/";
}

String addEligibility(){
  return "/api/jobnet_app/profile/pds/eligibility/";
}
String deleteEligibility(){
  return "/api/jobnet_app/profile/pds/eligibility/";
}

String updateEligibility(){
  return "/api/jobnet_app/profile/pds/eligibility/";
}
//// work history paths
String getWorkHistories(){
  return "/api/jobnet_app/profile/pds/work/";
}

////educational background paths
String getEducationalBackgrounds(){
  return "/api/jobnet_app/profile/pds/education/";
}

//// learning and development paths

String getLearningAndDevelopments(){
  return "api/jobnet_app/profile/pds/learning_development/";
}

//// references paths
String getRefences(){
  return "/api/jobnet_app/profile/pds/personal_reference/";
}


////voluntary works
String getVoluntaryWorks(){
  return "/api/jobnet_app/profile/pds/voluntary_work/";
}

//// skills hobbies
String getSkillsHobbies(){
  return "/api/jobnet_app/profile/pds/other/skill_hobby/";
}
//// orgmemberships
String getOrgMemberShips(){
  return "/api/jobnet_app/profile/pds/other/org_membership/";
}

////non academic recognition
String getNonAcademicRecognition(){
  return "/api/jobnet_app/profile/pds/other/non_acad_recognition/";
}

  // location utils path
  String getCounties(){
    return "/api/jobnet_app/countries/";
  }
  String getRegions(){
    return "/api/web_app/location/region/";
  }
  String getProvinces(){
    return "api/web_app/location/province/";
  }
  String getCities(){
    return "/api/web_app/location/citymun/";
  }
}